Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004241TestLinkRequirement Managementpublic2011-02-14 17:562015-11-18 22:45
Reporterphidotnet 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows 7 + ChromeOSWindowsOS VersionWindows 7
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0004241: Copy requirement cause execution timeout
DescriptionWhen copying a requirement from one Specification to other. The execution time happens
Steps To Reproduce1) Navigate to the page Requirement Specification
2) Copy a requirement from a Requirement Specification to other

Actual result:
- Browser is frozen then the message displays
Fatal error: Maximum execution time of 60 seconds exceeded in C:\xampp\htdocs\testlink\lib\functions\requirement_mgr.class.php on line 1979

- Below is from User log:
[<<][4d5968859a1be357951726][DEFAULT][/testlink/lib/requirements/reqView.php][11/Feb/14 17:38:13][11/Feb/14 17:38:13][took 0.056044 secs]
[>>][4d596885a8154920751086][DEFAULT][/testlink/lib/requirements/reqView.php][11/Feb/14 17:38:13]
[<<][4d596885a8154920751086][DEFAULT][/testlink/lib/requirements/reqView.php][11/Feb/14 17:38:13][11/Feb/14 17:38:13][took 0.109505 secs]
[<<][4d59688e5d32d278348928][DEFAULT][/testlink/lib/requirements/reqEdit.php][11/Feb/14 17:38:22][11/Feb/14 17:38:22][took 0.060995 secs]
[>>][4d59688e6c46e672838873][DEFAULT][/testlink/lib/requirements/reqEdit.php][11/Feb/14 17:38:22]
[<<][4d59688e6c46e672838873][DEFAULT][/testlink/lib/requirements/reqEdit.php][11/Feb/14 17:38:22][11/Feb/14 17:38:22][took 0.034388 secs]
[<<][4d59689594aec508268308][DEFAULT][/testlink/lib/requirements/reqEdit.php][11/Feb/14 17:38:29][11/Feb/14 17:38:29][took 0.058913 secs]
[>>][4d596895a3347190346311][DEFAULT][/testlink/lib/requirements/reqEdit.php][11/Feb/14 17:38:29]
    [11/Feb/14 17:38:29][WARNING][3l6etoiarmq92udbumc4aaiem7][GUI]
        E_WARNING
Missing argument 2 for reqCommands::copy(), called in C:\xampp\htdocs\testlink\lib\requirements\reqCommands.class.php on line 543 and defined - in C:\xampp\htdocs\testlink\lib\requirements\reqCommands.class.php - Line 504
    [11/Feb/14 17:38:29][WARNING][3l6etoiarmq92udbumc4aaiem7][GUI]
        E_NOTICE
Undefined property: stdClass::$duplicated_docid_algorithm - in C:\xampp\htdocs\testlink\lib\functions\requirement_mgr.class.php - Line 1966
    [11/Feb/14 17:38:29][WARNING][3l6etoiarmq92udbumc4aaiem7][GUI]
        E_NOTICE
Trying to get property of non-object - in C:\xampp\htdocs\testlink\lib\functions\requirement_mgr.class.php - Line 1966
[<<][4d596895a3347190346311][DEFAULT][/testlink/lib/requirements/reqEdit.php][11/Feb/14 17:38:29][11/Feb/14 17:39:29][took 59.937633 secs]
Additional InformationThe issue also happens with IE 8.0
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon Copy requirement.png [^] (28,985 bytes) 2011-02-15 11:43

- Relationships

-  Notes
(0013610)
fman (administrator)
2011-02-14 19:41

please give more detailed information
- amount of requirements ?
- amount of req specs ?
- how many levels on tree ?
(0013618)
phidotnet (reporter)
2011-02-15 11:43

Screen shot attached.

- Issue History
Date Modified Username Field Change
2011-02-14 17:56 phidotnet New Issue
2011-02-14 19:41 fman Note Added: 0013610
2011-02-15 11:43 phidotnet File Added: Copy requirement.png
2011-02-15 11:43 phidotnet Note Added: 0013618
2011-03-20 16:17 fman Status new => resolved
2011-03-20 16:17 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)
2011-03-20 16:17 fman Resolution open => fixed
2011-03-20 16:17 fman Assigned To => fman
2015-11-18 22:45 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker